Issue #15502 has been reported by vo.x (Vit Ondruch).

----------------------------------------
Bug #15502: Expired certificates in Ruby 2.6.0 test suite
https://bugs.ruby-lang.org/issues/15502

* Author: vo.x (Vit Ondruch)
* Status: Open
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.6.0p0 (2018-12-25 revision 66547) [x86_64-linux]
* Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: REQUIRED
----------------------------------------
There are test failures in Ruby 2.6 such as:

~~~
  1) Failure:
FTPTest#test_tls_with_ca_file [/builddir/build/BUILD/ruby-2.6.0/test/net/ftp/test_ftp.rb:1719]:
Exception raised:
<#<OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=error: certificate verify failed (certificate has expired)>>.
~~~

This was fixed in trunk by r66685 and r66686. It would be nice if these could be backported.

It would be even better if the certificates won't expire at all or were regularly updated to prevent this silly issue (test suite of freshly released ruby fails) in the future.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>